Package org.apache.sysds.runtime.compress.utils

## Class DblArrayIntListHashMap

- java.lang.Object
- - org.apache.sysds.runtime.compress.utils.DblArrayIntListHashMap

    public class DblArrayIntListHashMap
    extends Object

collect an array list of the indexes with the same hashes.

### Nested Class Summary

Nested Classes
`static class` `DblArrayIntListHashMap.DArrayIListEntry`

### Constructor Summary

Constructors
`DblArrayIntListHashMap()`
`DblArrayIntListHashMap​(int init_capacity)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `appendValue​(DblArray key, int value)`
`List<DblArrayIntListHashMap.DArrayIListEntry>` `extractValues()`
`IntArrayList` `get​(DblArray key)`
`int` `size()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### DblArrayIntListHashMap

    public DblArrayIntListHashMap()

#### DblArrayIntListHashMap

    public DblArrayIntListHashMap​(int init_capacity)

### Method Detail

#### size

    public int size()

#### get

    public IntArrayList get​(DblArray key)

#### appendValue

    public void appendValue​(DblArray key,
                            int value)

#### extractValues

    public List<DblArrayIntListHashMap.DArrayIListEntry> extractValues()

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`